<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_site_table_func_name" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getSiteTableFuncName - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: char* krui_getSiteTableFuncName(char*);
/*****************************************************************************
  FUNCTION : ann_get_site_table_func_name
  PURPOSE  :
  NOTES    :
  RETURNS  : 
             If the site name do not exist, function returns NULL.
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_site_table_func_name</refname>

    <refpurpose> Returns the name of the site function that is associated with
    the site name.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[site_func_name] = ann_get_site_table_func_name(network, site_name);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_name</term>

        <listitem>
          <para>Site name (string)</para>
        </listitem>
      </varlistentry>



    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>site_func_name</term>

        <listitem>
          <para>Name of the site function that is associated with the site
          name (string)</para>
        </listitem>
      </varlistentry>

    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
